/* Copyright (C) 1993-2005, Ghostgum Software Pty Ltd.  All rights reserved.
  
  This file is part of GSview.
  
  This program is distributed with NO WARRANTY OF ANY KIND.  No author
  or distributor accepts any responsibility for the consequences of using it,
  or for whether it serves any particular purpose or works at all, unless he
  or she says so in writing.  Refer to the GSview Free Public Licence 
  (the "Licence") for full details.
  
  Every copy of GSview must include a copy of the Licence, normally in a 
  plain ASCII text file named LICENCE.  The Licence grants you the right 
  to copy, modify and redistribute GSview, but only under certain conditions 
  described in the Licence.  Among other things, the Licence requires that 
  the copyright notice and this notice be preserved on all copies.
*/

/* fr\gvclang.h */
/* Common French language defines */

#define AAFRANCAIS "Franais"	/* Francais in code page 1252 */

#define GSVIEW_COPYRIGHT1 "Copyright (C) 1993-2005, Ghostgum Software Pty Ltd."
#define GSVIEW_COPYRIGHT2 "Tous droits rservs."
#define GSVIEW_COPYRIGHT3 "Voir le fichier LICENCE pour plus d'informations."

#define GS_COPYRIGHT1 "Copyright (C) 1994-2005 artofcode LLC,"
#define GS_COPYRIGHT2 "Benicia, California, U.S.A. Tous droits rservs."
#define GS_COPYRIGHT3 "Voir le fichier PUBLIC pour plus d'informations."

/* Buttons */
#ifdef UNIX
#define AAOK "Ok"
#define AACANCEL "Annuler"
#define AAEDIT "Edition"
#define AADEFAULTS "Dfauts"
#define AAHELP "Aide"
#define AANEW "Nouveau"
#define AATEST "Test"
#define AAYES "Oui"
#define AANO "Non"
#define AANEXTGT "Suivant >"
#define AABACKLT "< Prcdent"
#define AAFINISHGT "Dmarrer"
#define AAEXIT "Fin"
#else
#ifdef _Windows
#define AAOK "&Ok"
#define AACANCEL "&Annuler"
#define AAEDIT "&Edition"
#define AADEFAULTS "&Dfauts"
#define AAHELP "A&ide"
#define AANEW "&Nouveau"
#define AATEST "&Test"
#define AAYES "&Oui"
#define AANO "&Non"
#define AANEXTGT "&Suivant >"
#define AABACKLT "< &Prcdent"
#define AAFINISHGT "&Dmarrer"
#define AAEXIT "&Fin"
#else
#define AAOK "~Ok"
#define AACANCEL "~Annuler"
#define AADEFAULTS "~Dfauts"
#define AAEDIT "~Edition"
#define AAHELP "A~ide"
#define AANEW "~Nouveau"
#define AATEST "~Test"
#define AAYES "~Oui"
#define AANO "~Non"
#define AANEXTGT "~Suivant >"
#define AABACKLT "< ~Prcdent"
#define AAFINISHGT "~Dmarrer"
#define AAEXIT "~Fin"
#endif
#endif

/* About dialog box */
#define AAABOUTWIN "A propos de GSview pour Windows"
#define AAABOUTPM "A propos de PM GSview"
#define AAABOUTX11 "A propos de X11 GSview"
#define AAABOUTGSV16SPL "A propos de GSV16SPL"
#define AAABOUTGSVIEWPRINT "A propos de GSview Print"
#define AACOPY1 "Version :"
#define AACOPY2 "Une interface graphique pour Ghostscript"
#define AACOPY4 "Ce programme est distribu SANS AUCUNE GARANTIE. Les auteurs et"
#define AACOPY5 "distributeurs n'assument aucune responsabilit pour les consquences rsultant"
#define AACOPY6 "de son utilisation et n'assurent pas qu'il remplit une fonction particulire ou"
#define AACOPY7 "simplement fonctionne,  moins qu'ils ou elles ne le prcisent par crit. Voir"
#define AACOPY8 "la GSview Free Public Licence (la 'Licence') pour plus d'informations."
#define AACOPY9 "Chaque copie de GSview doit contenir une copie de la Licence, classique-"
#define AACOPY10 "ment sous la forme d'un fichier ASCII nomm LICENCE. La Licence vous"
#define AACOPY11 "donne le droit de copier, modifier et redistribuer GSview, mais uniquement"
#define AACOPY12 "sous certaines conditions dcrites dans la Licence. Entre autres, la Licence"
#define AACOPY13 "exige que les informations de copyright et cette note soient prsentes sur"
#define AACOPY14 "toutes les copies."
#define AACOPY15 "pstotxt3.dll est Copyright (C) 1995-1998, Digital Equipment Corporation et a"
#define AACOPY16 "pstotxt2.dll est Copyright (C) 1995-1998, Digital Equipment Corporation et a"
#define AACOPY17 "pstotxt1.dll est Copyright (C) 1995-1998, Digital Equipment Corporation et a"
#define AACOPY18 "une licence particulire. Voir le fichier pstotext.txt pour plus d'informations."
#define AACOPY19 "Auteur : Russell Lang, Ghostgum Software Pty Ltd"
#define AACOPY20 "Une interface sous forme de DLL pour Ghostscript."
#define AACOPY21 "Ce programme fait partie de GSview."
#define AACOPY22 "Gestionnaire d'impression GSview Win32s/Win16"

#define AAINPUT "Entre"

/* DSC error dialog box */
#define AADSC "Document Structuring Conventions" /* ENGLISH */
#define AAIGNOREALLDSC "Ignore all DSC" /* ENGLISH */

/* Info dialog box */
#define AAINFO  "Informations"
#define AAFILEC "Fichier :"
#define AATYPEC "Type :"
#define AATITLEC "Titre :"
#define AADATEC "Date :"
#define AABOUNDINGBOXC "Cadre limite :"
#define AAORIENTATIONC "Orientation :"
#define AADEFAULTMEDIAC "Taille du papier :"
#define AAPAGEORDERC "Ordre des pages :"
#define AAPAGESC "Pages :"
#define AAPAGEC "Page :"
#define AABITMAPC "Bitmap :"

/* Sounds dialog box */
#define AASOUNDS "Sons"
#define AAEVENTC "Evnement :"
#define AASOUNDC "Son :"

/* Select port, printer, page dialog boxes */
#define AASELECTPORT "Slection du port de l'imprimante"
#define AASELECTPRINTER "Slection de l'imprimante"
#define AAPRINTING "Impression"
#define AASELECTPAGE "Slection de la page"
#define AASELECTPAGES "Slection des pages"

/* Printer Setup dialog box */
#define AAPRINTERSETUP "Configuration de l'imprimante"
#define AADEVICEC "Type :"
#define AARESOLUTIONC "Rsolution :"
#define AAQUEUEC "Imprimante :"
#define AAPRINTTOFILE "Impression dans un fichier"
#define AAPSPRINTER "Imprimante PostScript"
#define AAOPTIONSC "Options :"
#define AAFIXEDMEDIA "Format fixe"
#define AACONVERT "Convert" /* ENGLISH */
#define AAWINPRINTERSETTINGS "Windows Printer settings" /* ENGLISH */
#define AACOLOURS "Colours" /* ENGLISH */
#define AABANDW "Black and White" /* ENGLISH */
#define AAGREY "Grey" /* ENGLISH */
#define AAFULLCOLOUR "Full Colour" /* ENGLISH */
#define AASELECTGSDEVICE "Select Ghostscript device" /* ENGLISH */

#define AAODDEVEN "Impaires/Paires"
#define AAIGNOREDSC "Ignore DSC" /* ENGLISH */
#define AAPAGES "Pages"
#define AAFROMC "From:" /* ENGLISH */
#define AATOC "To:" /* ENGLISH */

#define AAADVANCED "Avanc"
#define AAADVANCEDPSOPT "Options PostScript avances"
#define AASENDCTRLDBEFORE "Envoyer CTRL+D avant le travail"
#define AASENDCTRLDAFTER "Envoyer CTRL+D aprs le travail"
#define AAPROLOGFILE "Fichier prologue"
#define AAEPILOGFILE "Fichier pilogue"
#define AABROWSE "Parcourir"

/* PS2EPS dialog box */
#define AAPSTOEPS "Conversion PS en EPS"
#define AAPSTOEPSREAD "Avez-vous lu la rubrique d'aide `Conversion PS en EPS` ?"
#define AAPSTOEPSAUTO "Calculer automatiquement le cadre limite"

#ifdef UNIX
#define AAAPROPERTIES "Proprits"
#define AAALLPAGES "Toutes"
#define AAODDPAGES "Impaires"
#define AAEVENPAGES "Paires"
#define AAALL "Toutes"
#define AAODD "Impaires"
#define AAEVEN "Paires"
#define AAREVERSE "Ordre inverse"
#else
#ifdef _Windows
#define AAAPROPERTIES "&Proprits"
#define AAALLPAGES "&Toutes"
#define AAODDPAGES "I&mpaires"
#define AAEVENPAGES "Pai&res"
#define AAALL "&Toutes"
#define AAODD "I&mpaires"
#define AAEVEN "Pai&res"
#define AAREVERSE "&Ordre inverse"
#else
#define AAAPROPERTIES "~Proprits"
#define AAALLPAGES "~Toutes"
#define AAODDPAGES "I~mpaires"
#define AAEVENPAGES "Pai&res"
#define AAALL "~Toutes"
#define AAODD "I~mpaires"
#define AAEVEN "Pai~res"
#define AAREVERSE "~Ordre inverse"
#endif
#endif


/* Properties dialog box */
#define AAPROPERTIES "Proprits"
#define AAPROPERTYC "Proprit :"
#define AAVALUEC "Valeur :"
#define AAPAGEOFFSETPT "Offset de page (pt)"
#define AAXC "X :"
#define AAYC "Y :"

/* Edit Properties dialog box */
#define AAEDITPROPERTIES "Modification des proprits"
#define AAPROPERTYTYPEC "Type de proprit :"
#define AANUMBER "Nombre"
#define AASTRING "Texte"
#define AANAMEC "Nom : par ex.  BitsPerPixel"
#define AAVALUESC "Valeurs :  par ex. 1,3,8,16,24"
#define AADELETE "Effacer"

#define AABOUNDINGBOX "Cadre limite"

/* Advanced Configure dialog box */
#define AACONFIGUREGS "Configuration avance"
#define AAGHOSTSCRIPTDLLC "DLL de Ghostscript :"
#define AAGHOSTSCRIPTSOC "Ghostscript Shared Object:" /* ENGLISH */
#define AAGHOSTSCRIPTEXEC "Ghostscript Program:" /* ENGLISH */
#define AAGHOSTSCRIPTINCC "Chemin de recherche de Ghostscript :"
#define AAGHOSTSCRIPTOTHERC "Options de Ghostscript :"
#define AACOPYPRINTERDEF "Copier les paramtres par dfaut de l'imprimante"
#define AAASSOCIATEPS "Associer les fichiers .ps"
#define AAASSOCIATEPDF "Associer les fichiers .pdf"
#define AACREATESTARTMENU "Crer les entres dans le menu Dmarrer"

/* Easy Configure dialog box */
#define AAEASYCONFIGURE "Configuration standard"
#define AAWHICHGS "Quelle version de Ghostscript souhaitez-vous utiliser ?"

/* Download Ghostscript dialog box */
#define AADOWNLOADGS "Tlchargement de Ghostscript"
#define AADOWNLOADNOW "Tlcharger maintenant"
#define AAGSNOTFOUND "Ghostscript ne peut pas tre trouv sur votre ordinateur.  Vous devez tlcharger et installer AFPL Ghostscript depuis"

#define AAGSMESSWIN "GSview pour Windows - Messages de Ghostscript"
#define AAGSMESSPM "PM GSview - Messages de Ghostscript"
#define AAGSMESSX11 "X11 GSview - Messages de Ghostscript"
#define AACOPY "Copier"

/* Display Settings dialog box */
#define AADISPLAYSETTINGS "Paramtres de l'affichage"
#define AARESOLUTION "Rsolution"
#define AAZOOMRESOLUTION "Rsolution du zoom"
#define AADEPTH "Intensit"
#define AATEXTALPHA "Texte Alpha"
#define AAGRAPHICSALPHA "Graphiques Alpha"
#define AADRAWMETHOD "Mthode de dessin"
#define AADPI "dpi"
#define AABPP "bits/pixel"
#define AABITS "bits"

/* Measure and custom units dialog box */
#define AAPT "pt"
#define AAMM "mm"
#define AAINCH "pouce"
#define AACUSTOM "Personnalise"
#define AAMEASURE "Mesure"
#define AAUNITC	"Unit :"
#define AASTARTC "Dbut :"
#define AAFINISHC "Fin :"
#define AADELTAC "Delta :"
#define AALENGTHC "Longueur :"
#define AACHANGE "Variation"
#define AACALCXFORM "Calcul de transformation"
#define AATRANSLATE "Translation"
#define AAROTATE "Rotation"
#define AASCALE "Etirement"
#define AAINITMATRIX "initmatrix"
#define AAINVERTMATRIX "invertmatrix"

/* PS to Edit dialog box */
#define AAPSTOEDIT "PS vers Edit"
#define AAFORMATC "Format :"
#define AADRAWTASP "Dessiner le texte sous forme de polygones"
#define AAMAPTOLATIN1 "Encodage ISO-Latin1"
#define AAFLATNESSC "Nettet :"
#define AADEFAULTFONTC "Police par dfaut :"
#define AADRIVEROPTIONSC "Options du pilote :"

/* Registration */
/* ENGLISH */
#define AAREGTOC "Registered to:"
#define AANUMBERC "Number:"
#define AAGSVIEWREG "GSview Registration"
#define AAREGISTERNOW "Register Now"
#define AAONLINEREG "Online Registration"
#define AAREG1 "Please enter your name and registration number"
#define AAREG2 ""
#define AANAG1 "GSview is Copyright 2005 Ghostgum Software Pty Ltd."
#define AANAG2 "Please support the development of GSview"
#define AANAG3 "by registering it."
#define AANAG4 "GSview can be registered online at"
#define AANAG5 "    http:/\057www.ghostgum.com.au/"

/* Installation program */
#define AAINSTALL1 "Programme d'installation de GSview"
#define AAINSTALLINTRO1 "Cet assistant vous guide pendant toute la dure de l'installation de :"
#define AAINSTALLINTRO2 "Avant de poursuivre l'installation, veuillez-vous assurer que les fichiers lists dans le fichier Readme.htm sont prsents dans le rpertoire courant."
#define AAINSTALLINTRO3 "L'installation ncessite 20 - 30 M octets d'espace disque."
#define AAINSTALLCOPYRIGHT1 "Informations de Copyright :"
#define AAINSTALLCOPYRIGHT2 "GSview et AFPL Ghostscript sont deux programmes distincts."
#define AAINSTALLCOPYRIGHT3 "Ils sont la proprit de diffrentes personnes morales."
#define AAINSTALLGSVER1 "Quels composants voulez-vous installer ?"
#define AAINSTALLGSVER2 "GSview"
#define AAINSTALLGSVER3 "Ghostscript"
#define AAINSTALLGSVER4 "Quelle version de Ghostscript voulez-vous utiliser ?"
#define AAINSTALLDIR1 "Slectionnez le rpertoire d'installation de GSview et Ghostscript :"
#define AAINSTALLDIR2 "GSview va tre install dans le sous-rpertoire :"
#define AAINSTALLDIR3 "Ghostscript va tre install dans le sous-rpertoire :"
#define AAINSTALLMKDIR1 "Le rpertoire spcifi n'existe pas."
#define AAINSTALLMKDIR2 "Un nouveau rpertoire va tre cr."
#define AAINSTALLMISSING1 "Programme d'installation de GSview - Fichier ZIP manquant"
#define AAINSTALLMISSING2 "Impossible de trouver le fichier ZIP. Veuillez insrer la disquette contenant le fichier ci-dessous :"
#define AAINSTALLCONFIG1 "GSview et Ghostscript utilisent la variable d'environnement TEMP pour spcifier un rpertoire pour les fichiers temporaires."
#define AAINSTALLCONFIG2 "La variable d'environnement TEMP n'est pas encore dfinie."
#define AAINSTALLCONFIG3 "La ligne suivante va tre ajoute au fichier autoexec.bat\r     SET TEMP=C:\\"
#define AAINSTALLCONFIG4 "Mettre  jour le fichier autoexec.bat"
#define AAINSTALLCONFIG5 "Faire une copie de sauvegarde l'ancien fichier autoexec.bat"
#define AAINSTALLCONFIGPM1 "GSview et Ghostscript utilisent la variable d'environnement TEMP pour spcifier un rpertoire pour les fichiers temporaires."
#define AAINSTALLCONFIGPM2 "La variable d'environnement TEMP n'est pas encore dfinie ou vous devez installer EMX."
#define AAINSTALLCONFIGPM3 "La ligne suivante va tre ajoute au fichier config.sys   'SET TEMP=C:\\'  et/ou le PATH et le LIBPATH vont tre mis  jour pour EMX."
#define AAINSTALLCONFIGPM4 "Mettre  jour le fichier config.sys"
#define AAINSTALLCONFIGPM5 "Faire une copie de sauvegarde de l'ancien fichier config.sys"
#define AAINSTALLFINISH "L'installation peut maintenant commencer.  \r\rCliquez sur Dmarrer pour poursuivre."
#define AAINSTALLUNZIP1 "Dcompression des fichiers..."
#define AADIRNOTEXIST "Le rpertoire '%s' n'existe pas.  Voulez-vous qu'il soit cr ?"
#define AAMKDIRFAIL "Impossible de crer le rpertoire"
#define AABETAWARN "Ceci est une version BETA de GSview.  Elle cessera de fonctionner le %04d-%02d-%02d."
#define AAINSTALLOK "Installation russie."
#define AAINSTALLFAILED "L'installation a chou :"
#define AAPROGMANGROUP1 "Voulez-vous crer un Groupe de programmes ?"
#define AAPROGMANGROUP2 "Crer un Groupe"
#define AAPROGMANGROUP3 "Nom :"
#define AAPROGMANGROUP4 "GS Tools"
#define AAPROGMANGROUP5 "Le Groupe de programmes \042%s\042 a t cr."
#define AAPROGMANGROUP6 "L'objet de programme \042GSview\042 a t cr sur le bureau."
#define AAPMOBJECT1 "Voulez-vous crer un objet de programme pour GSview sur le bureau ?"
#define AAPMOBJECT2 "Crer un objet."
#define AADONEBAK "L'ancien fichier autoexec.bat a t renomm %s."
#define AACANTLOAD "Chargement de %s impossible."
#define AACANTCREATETEMPFILE "Cration du fichier temporaire impossible."
#define AACANTOPENREAD "Impossible de lire le fichier %s."
#define AACANTOPENWRITE "Impossible d'crire le fichier %s."
#define AAERRORRENAME "Erreur en renommant le fichier %s en %s."
#define AANODDEPROGMAN "Ouverture de la connexion DDE avec le Gestionnaire de Programmes impossible. Veuillez relancer Windows."
#define AAINSERTDISK "Veuillez insrer la disquette contenant le fichier %s."
#define AAZIPNOTFOUND "Impossible de trouver le fichier ZIP."
#define AAUNZIPCANCELLED "Dcompression interrompue.\n"
#define AACANTALLOCBUF "Allocation de mmoire pour copier le tampon impossible."
#define AAPROGRAMOBJECTFAILED "Cration de l'objet de programme sur le bureau impossible"
#define AAUNINSTALLTITLE "GSview et AFPL Ghostscript"
#define AAUNINSTALLITEM "Dsinstaller GSview et AFPL Ghostscript"

/* setup program */
#define AAINSTALLSPACE "Cette installation ncessite 3 M octets d'espace disque"
#define AAGSVIEWREQUIRES "GSview ncessite galement"
#define AAVIEWREADMEDETAILS "Voir le fichier Readme pour savoir comment obtenir Ghostscript."
#define AACOPYRIGHTNOTICE "Copyright"
#define AASELECTGSVIEWDIR "Slectionnez un rpertoire dans lequel vous souhaitez installer GSview"
#define AABROWSEE "Parcourir..."
#define AAGSVIEWADDSTARTMENU "Le programme d'installation de GSview va ajouter des entres dans le dossier suivant du menu Dmarrer"
#define AACREATEFOLDER "Crer le dossier"
#define AAALLUSERS "Tous les utilisateurs"
#define AASELECTFOLDER "Slection du dossier"
#define AAFOLDER "Dossier"
#define AADESTFOLDER "Dossier de destination"
#define AAVIEWREADME "Visualiser le fichier Readme"

/* configure */
#define AAGSVIEWC "GSview :"
#define AAALADDINGSC "AFPL Ghostscript :"
#define AACFG1 "Programme de configuration de GSview"
#define AACFG10 "Cet assistant vous aide  configurer GSview."
#define AACFG11 "Si vous rencontrez une rubrique que vous ne comprenez pas dans les pages suivantes,\
 ne modifiez pas ce qui vous est propos par dfaut."
#define AACFG20 "GSview doit savoir quelle version de Ghostscript il doit utiliser\
 et o elle se trouve."
#define AACFG21 "Quelle version de Ghostscript souhaitez-vous utiliser ?"
#define AACFG22 "Dans quel rpertoire se trouve Ghostscript ?"
#define AACFG23 "Rechercher des polices de Type 1 supplmentaires dans :"
#define AACFG30 "GSview conserve une liste des imprimantes Ghostscript et\
 de leurs rsolutions dans son fichier d'initialisation."
#define AACFG31 "Par dfaut, la liste des imprimantes et de leurs rsolutions est extraite de la\
 distribution de Ghostscript version 5.50 et il se peut qu'elle soit incomplte."
#define AACFG32 "Mettre  jour la liste des imprimantes"
#define AACFG33 "La mise  jour de la liste des imprimantes va remplacer toutes les entres dj existantes."
#define AACFG40 "GSview peut crer des associations de fichiers pour les types de fichiers PostScript et\
 Portable Document Format (PDF)."
#define AACFG43 "Grce  ces associations, double-cliquer sur un fichier PostScript\
 ou PDF lancera GSview qui ouvrira ce fichier.\
  Ces associations permettent galement  certains navigateurs WWW\
 d'utiliser GSview comme visualisateur pour les fichiers PostScript et PDF."
#define AACFG41 "Associer les fichiers PostScript (.ps et .eps) avec GSview."
#define AACFG42 "Associer les fichiers PDF (.pdf) avec GSview."
#define AACFG50 "GSview peut crer pour GSview et AFPL Ghostscript un Groupe de programmes dans le Gestionnaire de programmes ou\
 une entre dans le menu Dmarrer."
#define AACFG51 "Crer Groupe / entre"
#define AACFG52 "Nom :"
#define AACFG53 "GSview peut crer objet de programme pour GSview sur le bureau.\
 Ceci va associer les fichiers PostScript (.ps and .eps) et PDF (.pdf) avec GSview."
#define AACFG54 "Crer un objet."
#define AACFG60 "GSview peut maintenant commencer la configuration. \r\rCliquez sur Dmarrer pour poursuivre."
#define AACFG70 "Configuration russie."
#define AACFG72 "Si vous devez modifier la configuration ultrieurement,\
 lancez GSview et excutez la commande \042Options | Configuration Standard...\042 ou\
 \042Options | Configuration avance...\042."
#define AACFG73 "La configuration a chou."
#define AACFG74 "Configuration interrompue."


/* For gvXgs.rc */
#define AAGSVIEWPRINT "Impression avec GSview"
#define AAGSVIEWPRINTUSAGE "Syntaxe : %s [/d] chemin_d'accs_dll fichier_option fichier_entre\nfichier_option et fichier_entre seront effacs en sortie\ngvpgs est destin  tre appel avec des fichiers temporaires\n"
#ifdef _Windows
#define AAMFILE "&Fichier"
#define AAMSAVEAS "Enregistrer &sous..."
#define AAMEXIT "&Quitter"
#define AAMEDIT "&Edition"
#define AAMCOPY "Copier\tCtrl+C"
#define AAMHELP "&Aide"
#define AAMABOUT "&A propos de..."
#else
#define AAMFILE "~Fichier"
#define AAMSAVEAS "Enregistrer ~sous..."
#define AAMEXIT "~Quitter"
#define AAMEDIT "~Edition"
#define AAMCOPY "Copier\tCtrl+C"
#define AAMHELP "~Aide"
#define AAMABOUT "~A propos de..."
#endif

#define WINHELPFILE "gsviewfr.hlp"
